set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

spool invisibleindexstats.log

-- show that gathering statistics updates
-- statistics on an invisible index

drop table test;

create table test as select * from dba_objects;

create index testi on test(owner,object_type,object_name) invisible;

select to_char(last_analyzed,'YYYY-MM-DD HH24:MI:SS'),VISIBILITY
from user_indexes where index_name='TESTI';

execute dbms_stats.gather_table_stats(NULL,'TEST');

select to_char(last_analyzed,'YYYY-MM-DD HH24:MI:SS'),VISIBILITY
from user_indexes where index_name='TESTI';

spool off
